twitter4j

## Class TwitterAPIMonitor

- java.lang.Object
- - twitter4j.TwitterAPIMonitor

    public class TwitterAPIMonitor
    extends Object

Singleton instance of all Twitter API monitoring. Handles URL parsing and "wire off" logic. We could avoid using a singleton here if Twitter objects were instantiated from a factory.

Since:
  Twitter4J 2.2.1
Author:
  Nick Dellamaggiore (nick.dellamaggiore at gmail.com)

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TwitterAPIMonitor` `getInstance()`
`APIStatisticsMBean` `getStatistics()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TwitterAPIMonitor getInstance()

#### getStatistics

    public APIStatisticsMBean getStatistics()